summaryrefslogtreecommitdiffstats
path: root/mod-sign.sh
diff options
context:
space:
mode:
authorKyle McMartin <kyle@mcmartin.ca>2013-03-24 10:44:30 -0400
committerKyle McMartin <kyle@mcmartin.ca>2013-03-24 10:44:30 -0400
commite47265e6198c6db07eaa5143e1e129d4b6a41f63 (patch)
treeef6389f57b18e1da16c9f7b09210118fa3ee4e95 /mod-sign.sh
parent8b1aec18c36e788ee718344005565d437f5f6261 (diff)
downloadkernel-e47265e6198c6db07eaa5143e1e129d4b6a41f63.tar.gz
kernel-e47265e6198c6db07eaa5143e1e129d4b6a41f63.tar.xz
kernel-e47265e6198c6db07eaa5143e1e129d4b6a41f63.zip
Warn after signing the modules if they are unsigned for some reason
Diffstat (limited to 'mod-sign.sh')
-rwxr-xr-xmod-sign.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/mod-sign.sh b/mod-sign.sh
index 9d95d48a0..0e7b58c5c 100755
--- a/mod-sign.sh
+++ b/mod-sign.sh
@@ -26,3 +26,13 @@ do
mv ${dir}/${file}.signed ${dir}/${file}
rm -f ${dir}/${file}.{sig,dig}
done
+
+RANDOMMOD=$(find $moddir -type f -name '*.ko' | sort -R | head -n 1)
+if [ "~Module signature appended~" != "$(tail -c 28 $RANDOMMOD)" ]; then
+ echo "*****************************"
+ echo "*** Modules are unsigned! ***"
+ echo "*****************************"
+ exit 1
+fi
+
+exit 0